
package de.ivu.elect.presentation.praesentation.exchange;

import de.ivu.elect.business.exchange.entity.DateiExportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.praesentation.menu.PraesentationPageMenu;

public class PraesentationExportDescription implements ExportDescription {

  private static final long serialVersionUID = 1L;

  @Override
  public String getExportSearchViewId() {
    return PraesentationExportView.VIEW_ID;
  }

  @Override
  public DateiExportArt getDateiExportArt() {
    return DateiExportArt.PRAESENTATION_EXPORT;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.PRAESENTATION_EXPORTIEREN;
  }

  @Override
  public String getPageMenuComponentName() {
    return PraesentationPageMenu.COMPONENT_NAME;
  }

  @Override
  public boolean isSpecificPerWahl() {
    return true;
  }

  @Override
  public boolean isSpecificPerWahltermin() {
    return false;
  }
}
